Collator::getSortKey
Collator::setAttribute
Collator
PHP Manual

# Collator::getStrength

# collator_get_strength

Get current collation strength

### Description

Object oriented style

public int Collator::getStrength ( void )

Procedural style

int collator_get_strength ( Collator `$coll` )

### Parameters

`coll`

  Collator object.

### Return Values

Returns current collation strength, or boolean `FALSE` on error.

### Examples

Example #1 collator_get_strength example

`<?php
$coll = collator_create( 'en_US' );
$strength = collator_get_strength( $coll );
?>`

### See Also

- Collator constants
- collator_set_strength
- collator_get_attribute